Create a Workflow

Use this endpoint to create a workflow that triggers when a document is submitted.

The workflow can be configured to either:

  1. Always run the specified schema(s) on the document, set via the standardizeStep.
  2. Always run the specified schema(s) on the document, then follow up with a review step, set via the standardizeReviewStep.
  3. Split the document and standardize each resulting sub-document, set via the splitStandardizeStep.
  4. Conditionally run one or more schemas based on the document's classId, set via the classifyStandardizeStep.
  5. Split the document, classify each resulting sub-document, and standardize based on class-to-schema mappings, set via the splitClassifyStandardizeStep.

Note: You must provide exactly one of these inputs.

To run the workflow, use the POST /document endpoint with the workflowId that gets returned from this endpoint.

Body Params
standardizeStep
object

This step will always standardize the submitted document through one or more schemas you specify.

standardizeReviewStep
object

This step standardizes the document and immediately reviews every resulting standardization.

classifyStandardizeStep
object

This step allows you to decide on a list of class IDs to classify into, and define which schemas to standardize by, conditional on the classification result. You may choose to only standardize some of the classes, or standardize the same class by multiple schemas.

splitStandardizeStep
object

This step first runs a split operation on the submitted document, then standardizes every resulting sub-document using all schemas provided in schemaIds.

splitClassifyStandardizeStep
object

This step runs a split operation on the submitted document, then classifies each resulting sub-document, and finally standardizes any sub-document whose classification matches a provided class-to-schema mapping.

string

Optionally name your workflow

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json